﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XCEDataView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataView dataView { get; set; }
        public DataTable table { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            this.table = new DataTable("table");
            DataColumn colItem = new DataColumn("item",
                Type.GetType("System.String"));
            table.Columns.Add(colItem);

            // Add five items.
            DataRow NewRow;
            for (int i = 0; i < 5; i++)
            {
                NewRow = table.NewRow();
                NewRow["item"] = "Item " + i;
                table.Rows.Add(NewRow);
            }
            // Change the values in the table.
            table.AcceptChanges();
            table.Rows[0]["item"] = "cat";
            table.Rows[1]["item"] = "dog";

            // Create  DataView object
            this.dataView = new DataView(table);
            this.DataContext = this.dataView;
        }

        private void XamComboEditor_DataObjectRequested(object sender, Infragistics.HandleableObjectGenerationEventArgs e)
        {
            if (this.table != null && e.ObjectType.Equals(typeof(DataRowView)))
            {
                e.NewObject = new DataView(this.table).AddNew();
                e.Handled = true;
            }
        }
    }
}
